package org.jeecg.modules.school.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.aspect.annotation.AutoLog;
import org.jeecg.modules.school.dto.SchoolPlanBatchMasterDTO;
import org.jeecg.modules.school.entity.SchoolPlanBatchMaster;
import org.jeecg.modules.school.service.ISchoolPlanBatchMasterService;
import org.jeecg.modules.school.vo.SchoolPlanBatchMasterVO;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.jeecg.common.system.base.controller.JeecgController;

/**
 * <p>
 * 作业计划批次管理表 前端控制器
 * </p>
 *
 * @author hkl
 * @since 2023-07-24
 */
@RestController
@RequestMapping("/school/master")
@Api(tags = "作业计划批次管理")
public class SchoolPlanBatchMasterController extends JeecgController<SchoolPlanBatchMaster, ISchoolPlanBatchMasterService> {
    /**
     * 作业计划批次管理列表分页查询
     *
     * @param pageNo
     * @param pageSize
     * @param dto
     * @return
     */
    @AutoLog(value = "作业计划批次管理列表分页查询")
    @ApiOperation(value = "作业计划批次管理列表分页查询", notes = "作业计划批次管理列表分页查询")
    @GetMapping(value = "/list")
    public Result<IPage<SchoolPlanBatchMasterVO>> queryPageList(@RequestParam(name = "pageNo", defaultValue = "1") Integer pageNo,
                                                                @RequestParam(name = "pageSize", defaultValue = "10") Integer pageSize,
                                                                SchoolPlanBatchMasterDTO dto) {
        Page<SchoolPlanBatchMasterVO> pageData = new Page<>(pageNo, pageSize);
        pageData = this.service.queryPageList(pageData, dto);
        return Result.OK(pageData);
    }

}
